--- CMakeLists.txt.orig	2024-09-04 09:02:02 UTC
+++ CMakeLists.txt
@@ -52,15 +52,21 @@ mark_as_advanced(ONLY_BUILD_SOLIDITY_LIBRARIES)
 mark_as_advanced(IGNORE_VENDORED_DEPENDENCIES)
 mark_as_advanced(ONLY_BUILD_SOLIDITY_LIBRARIES)
 
-# Setup cccache.
-include(EthCcache)
-
 # Let's find our dependencies
 include(EthDependencies)
 if (NOT IGNORE_VENDORED_DEPENDENCIES)
   include(fmtlib)
   include(nlohmann-json)
   include(range-v3)
+else()
+  # fmtlib
+  find_package(fmt REQUIRED)
+  # nlohmann-json
+  find_package(nlohmann_json REQUIRED)
+  # range-v3
+  add_library(range-v3 INTERFACE IMPORTED)
+  set_target_properties(range-v3 PROPERTIES
+    INTERFACE_INCLUDE_DIRECTORIES ${RANGE_V3_INCLUDE_DIR})
 endif()
 
 find_package(Threads)
